<?php

namespace app\model;

use think\Model;
use think\model\concern\SoftDelete;

class AuthLogModel extends Model
{
    protected $name = 'auth_log';
    protected $pk = 'al_id';
    protected $schema = [
        'al_id' => 'int',
        'user_id' => 'int',
        'token' => 'string',
        'resource_token' => 'string',
        'status' => 'int',
        'create_time' => 'int',
        'update_time' => 'int',
        'delete_time' => 'int',
    ];
    use SoftDelete;

    protected $deleteTime = 'delete_time';
    protected $defaultSoftDelete = 0;
}
